

package gov.va.med.cds.client.webservice;


import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;


@WebService( targetNamespace = "http://client.cds.URL       ", name = "ClinicalDataServiceSynchronousInterface" )
@SOAPBinding( style = SOAPBinding.Style.RPC )
public interface ClinicalDataServiceSynchronousInterface
{

    @WebResult( name = "out", targetNamespace = "http://client.cds.URL       ", partName = "out" )
    @WebMethod( operationName = "deleteClinicalData" )
    public java.lang.String deleteClinicalData( @WebParam( partName = "in0", name = "in0" )
    java.lang.String in0, @WebParam( partName = "in1", name = "in1" )
    java.lang.String in1, @WebParam( partName = "in2", name = "in2" )
    java.lang.String in2 );


    @WebResult( name = "out", targetNamespace = "http://client.cds.URL       ", partName = "out" )
    @WebMethod( operationName = "readClinicalData" )
    public java.lang.String readClinicalData( @WebParam( partName = "in0", name = "in0" )
    java.lang.String in0, @WebParam( partName = "in1", name = "in1" )
    java.lang.String in1, @WebParam( partName = "in2", name = "in2" )
    java.lang.String in2 );


    @WebResult( name = "out", targetNamespace = "http://client.cds.URL       ", partName = "out" )
    @WebMethod( operationName = "readClinicalData1" )
    public java.lang.String readClinicalData( @WebParam( partName = "in0", name = "in0" )
    java.lang.String in0, @WebParam( partName = "in1", name = "in1" )
    java.lang.String in1, @WebParam( partName = "in2", name = "in2" )
    java.lang.String in2, @WebParam( partName = "in3", name = "in3" )
    java.lang.String in3 );


    @WebResult( name = "out", targetNamespace = "http://client.cds.URL       ", partName = "out" )
    @WebMethod( operationName = "isAlive" )
    public boolean isAlive( );


    @WebResult( name = "out", targetNamespace = "http://client.cds.URL       ", partName = "out" )
    @WebMethod( operationName = "updateClinicalData" )
    public java.lang.String updateClinicalData( @WebParam( partName = "in0", name = "in0" )
    java.lang.String in0, @WebParam( partName = "in1", name = "in1" )
    java.lang.String in1, @WebParam( partName = "in2", name = "in2" )
    java.lang.String in2 );


    @WebResult( name = "out", targetNamespace = "http://client.cds.URL       ", partName = "out" )
    @WebMethod( operationName = "createClinicalData1" )
    public java.lang.String createClinicalData( @WebParam( partName = "in0", name = "in0" )
    java.lang.String in0, @WebParam( partName = "in1", name = "in1" )
    java.lang.String in1, @WebParam( partName = "in2", name = "in2" )
    java.lang.String in2, @WebParam( partName = "in3", name = "in3" )
    boolean in3 );


    @WebResult( name = "out", targetNamespace = "http://client.cds.URL       ", partName = "out" )
    @WebMethod( operationName = "appendClinicalData" )
    public java.lang.String appendClinicalData( @WebParam( partName = "in0", name = "in0" )
    java.lang.String in0, @WebParam( partName = "in1", name = "in1" )
    java.lang.String in1, @WebParam( partName = "in2", name = "in2" )
    java.lang.String in2 );


    @WebResult( name = "out", targetNamespace = "http://client.cds.URL       ", partName = "out" )
    @WebMethod( operationName = "createClinicalData" )
    public java.lang.String createClinicalData( @WebParam( partName = "in0", name = "in0" )
    java.lang.String in0, @WebParam( partName = "in1", name = "in1" )
    java.lang.String in1, @WebParam( partName = "in2", name = "in2" )
    java.lang.String in2 );
}
